com.r3corda.core.crypto / DigitalSignature

# DigitalSignature

`open class DigitalSignature : OpaqueBytes`

A wrapper around a digital signature. The covering field is a generic tag usable by whatever is interpreting the signature. It isnt used currently, but experience from Bitcoin suggests such a feature is useful, especially when building partially signed transactions.

### Types

LegallyIdentifiable | `class LegallyIdentifiable : WithKey`
WithKey | `open class WithKey : DigitalSignature` A digital signature that identifies who the public key is owned by.

### Constructors

<init> | `DigitalSignature(bits: ByteArray, covering: Int = 0)` A wrapper around a digital signature. The covering field is a generic tag usable by whatever is interpreting the signature. It isnt used currently, but experience from Bitcoin suggests such a feature is useful, especially when building partially signed transactions.

### Properties

covering | `val covering: Int`

### Inherited Properties

bits | `val bits: ByteArray`
size | `val size: Int`

### Inherited Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
toString | `open fun toString(): String`

### Extension Functions

deserialize | `fun <T : Any> OpaqueBytes.deserialize(kryo: <ERROR CLASS> = THREAD_LOCAL_KRYO.get()): T`
sha256 | `fun OpaqueBytes.sha256(): SHA256`

### Inheritors

WithKey | `open class WithKey : DigitalSignature` A digital signature that identifies who the public key is owned by.